diff --git a/sys/dev/raid/arcmsr/arcmsr.h b/sys/dev/raid/arcmsr/arcmsr.h
index ed91264..45edfff 100644
--- a/sys/dev/raid/arcmsr/arcmsr.h
+++ b/sys/dev/raid/arcmsr/arcmsr.h
@@ -2304,10 +2475,10 @@ struct SENSE_DATA {
 **                                          or when the ATU receives a Master Abort Split Completion Error Message in PCI-X mode.
 **  12          0 2                         Target Abort (master) - set when a transaction initiated by the ATU PCI master interface, ends in a target
 **                                          abort or when the ATU receives a Target Abort Split Completion Error Message in PCI-X mode.
-**  11          0 2                         Target Abort (target) - set when the ATU interface, acting as a target,
+**  11          0 2                         Target Abort (target) - set when the ATU interface, acting as a target, 
 **						terminates the transaction on the PCI bus with a target abort.
-**  10:09       01 2                        DEVSEL# Timing - These bits are read-only and define the slowest DEVSEL#
-**						timing for a target device in Conventional PCI Mode regardless of the operating mode
+**  10:09       01 2                        DEVSEL# Timing - These bits are read-only and define the slowest DEVSEL# 
+**						timing for a target device in Conventional PCI Mode regardless of the operating mode 
 **							(except configuration accesses).
 **  										00 2=Fast
 **  										01 2=Medium
@@ -2316,7 +2487,7 @@ struct SENSE_DATA {
 **                                          The ATU interface uses Medium timing.
 **  08           0 2                        Master Parity Error - The ATU interface sets this bit under the following conditions:
 **  										¡E The ATU asserted PERR# itself or the ATU observed PERR# asserted.
-**  										¡E And the ATU acted as the requester
+**  										¡E And the ATU acted as the requester 
 **											for the operation in which the error occurred.
 **  										¡E And the ATUCMD register¡¦s Parity Error Response bit is set
 **  										¡E Or (PCI-X Mode Only) the ATU received a Write Data Parity Error Message
@@ -2329,7 +2500,7 @@ struct SENSE_DATA {
 **  06           0 2                        UDF Supported - User Definable Features are not supported
 **  05           1 2                        66 MHz. Capable - 66 MHz operation is supported.
 **  04           1 2                        Capabilities - When set, this function implements extended capabilities.
-**  03             0                        Interrupt Status - reflects the state of the ATU interrupt
+**  03             0                        Interrupt Status - reflects the state of the ATU interrupt 
 **						when the Interrupt Disable bit in the command register is a 0.
 **  										0=ATU interrupt signal deasserted.
 **  										1=ATU interrupt signal asserted.
@@ -2402,24 +2573,24 @@ struct SENSE_DATA {
 **  the 80331 replying with the results from the software implementation of the BIST functionality.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  07           0 2                        BIST Capable - This bit value is always equal to the ATUCR ATU BIST Interrupt Enable bit.
+**  07           0 2                        BIST Capable - This bit value is always equal to the ATUCR ATU BIST Interrupt Enable bit. 
 **  06           0 2                        Start BIST - When the ATUCR BIST Interrupt Enable bit is set:
 **  				 Setting this bit generates an interrupt to the Intel XScale core to perform a software BIST function.
 **  				 The Intel XScale core clears this bit when the BIST software has completed with the BIST results
 **  				 found in ATUBISTR register bits [3:0].
 **  				 When the ATUCR BIST Interrupt Enable bit is clear:
-**  				 Setting this bit does not generate an interrupt to the Intel XScale core and no BIST functions is performed.
+**  				 Setting this bit does not generate an interrupt to the Intel XScale core and no BIST functions is performed. 
 **                                                       The Intel XScale core does not clear this bit.
 **  05:04       00 2             Reserved
 **  03:00     0000 2             BIST Completion Code - when the ATUCR BIST Interrupt Enable bit is set and the ATUBISTR Start BIST bit is set (bit 6):
-**                               The Intel XScale  core places the results of the software BIST in these bits.
+**                               The Intel XScale  core places the results of the software BIST in these bits. 
 **				 A nonzero value indicates a device-specific error.
 ***********************************************************************************
 */
 #define     ARCMSR_ATU_BIST_REG		         0x0F    /*byte*/
 
 /*
-***************************************************************************************
+***************************************************************************************  
 **            ATU Base Registers and Associated Limit Registers
 ***************************************************************************************
 **           Base Address                         Register Limit                          Register Description
@@ -2434,10 +2605,10 @@ struct SENSE_DATA {
 **     NOTE: This is a private BAR that resides outside of the standard PCI configuration header space (offsets 00H-3FH).
 **  Expansion ROM Base Address Register           Expansion ROM Limit Register            Defines the window of addresses used by a bus master for reading **  from an Expansion ROM.
 **--------------------------------------------------------------------------------------
-**  ATU Inbound Window 1 is not a translate window.
-**  The ATU does not claim any PCI accesses that fall within this range.
-**  This window is used to allocate host memory for use by Private Devices.
-**  When enabled, the ATU interrupts the Intel  XScale core when either the IABAR1 register or the IAUBAR1 register is written from the PCI bus.
+**  ATU Inbound Window 1 is not a translate window. 
+**  The ATU does not claim any PCI accesses that fall within this range. 
+**  This window is used to allocate host memory for use by Private Devices. 
+**  When enabled, the ATU interrupts the Intel  XScale core when either the IABAR1 register or the IAUBAR1 register is written from the PCI bus. 
 ***********************************************************************************
 */
 
@@ -2445,37 +2616,37 @@ struct SENSE_DATA {
 ***********************************************************************************
 **  Inbound ATU Base Address Register 0 - IABAR0
 **
-**  . The Inbound ATU Base Address Register 0 (IABAR0) together with the Inbound ATU Upper Base Address Register 0 (IAUBAR0)
-**    defines the block of memory addresses where the inbound translation window 0 begins.
-**  . The inbound ATU decodes and forwards the bus request to the 80331 internal bus with a translated address to map into 80331 local memory.
+**  . The Inbound ATU Base Address Register 0 (IABAR0) together with the Inbound ATU Upper Base Address Register 0 (IAUBAR0) 
+**    defines the block of memory addresses where the inbound translation window 0 begins. 
+**  . The inbound ATU decodes and forwards the bus request to the 80331 internal bus with a translated address to map into 80331 local memory. 
 **  . The IABAR0 and IAUBAR0 define the base address and describes the required memory block size.
-**  . Bits 31 through 12 of the IABAR0 is either read/write bits or read only with a value of 0
-**    depending on the value located within the IALR0.
+**  . Bits 31 through 12 of the IABAR0 is either read/write bits or read only with a value of 0 
+**    depending on the value located within the IALR0. 
 **    This configuration allows the IABAR0 to be programmed per PCI Local Bus Specification.
 **    The first 4 Kbytes of memory defined by the IABAR0, IAUBAR0 and the IALR0 is reserved for the Messaging Unit.
-**    The programmed value within the base address register must comply with the PCI programming requirements for address alignment.
-**  Warning:
+**    The programmed value within the base address register must comply with the PCI programming requirements for address alignment. 
+**  Warning: 
 **    When IALR0 is cleared prior to host configuration:
-**                          the user should also clear the Prefetchable Indicator and the Type Indicator.
+**                          the user should also clear the Prefetchable Indicator and the Type Indicator. 
 **    Assuming IALR0 is not cleared:
 **                          a. Since non prefetchable memory windows can never be placed above the 4 Gbyte address boundary,
-**                             when the Prefetchable Indicator is cleared prior to host configuration,
+**                             when the Prefetchable Indicator is cleared prior to host configuration, 
 **                             the user should also set the Type Indicator for 32 bit addressability.
 **                          b. For compliance to the PCI-X Addendum to the PCI Local Bus Specification,
 **                             when the Prefetchable Indicator is set prior to host configuration, the user
-**                             should also set the Type Indicator for 64 bit addressability.
+**                             should also set the Type Indicator for 64 bit addressability. 
 **                             This is the default for IABAR0.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  31:12     00000H                        Translation Base Address 0 - These bits define the actual location
+**  31:12     00000H                        Translation Base Address 0 - These bits define the actual location 
 **						the translation function is to respond to when addressed from the PCI bus.
 **  11:04        00H                        Reserved.
 **  03           1 2                        Prefetchable Indicator - When set, defines the memory space as prefetchable.
 **  02:01       10 2                        Type Indicator - Defines the width of the addressability for this memory window:
 **  						00 - Memory Window is locatable anywhere in 32 bit address space
 **  						10 - Memory Window is locatable anywhere in 64 bit address space
-**  00           0 2                        Memory Space Indicator - This bit field describes memory or I/O space base address.
-**                                                                   The ATU does not occupy I/O space,
+**  00           0 2                        Memory Space Indicator - This bit field describes memory or I/O space base address. 
+**                                                                   The ATU does not occupy I/O space, 
 **                                                                   thus this bit must be zero.
 ***********************************************************************************
 */
@@ -2489,9 +2660,9 @@ struct SENSE_DATA {
 **  This register contains the upper base address when decoding PCI addresses beyond 4 GBytes.
 **  Together with the Translation Base Address this register defines the actual location the translation
 **  function is to respond to when addressed from the PCI bus for addresses > 4GBytes (for DACs).
-**  The programmed value within the base address register must comply with the PCI programming requirements for address alignment.
-**  Note:
-**      When the Type indicator of IABAR0 is set to indicate 32 bit addressability,
+**  The programmed value within the base address register must comply with the PCI programming requirements for address alignment. 
+**  Note: 
+**      When the Type indicator of IABAR0 is set to indicate 32 bit addressability, 
 **      the IAUBAR0 register attributes are read-only.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
@@ -2504,23 +2675,23 @@ struct SENSE_DATA {
 ***********************************************************************************
 **  Inbound ATU Base Address Register 1 - IABAR1
 **
-**  . The Inbound ATU Base Address Register (IABAR1) together with the Inbound ATU Upper Base Address Register 1 (IAUBAR1)
-**    defines the block of memory addresses where the inbound translation window 1 begins.
+**  . The Inbound ATU Base Address Register (IABAR1) together with the Inbound ATU Upper Base Address Register 1 (IAUBAR1) 
+**    defines the block of memory addresses where the inbound translation window 1 begins. 
 **  . This window is used merely to allocate memory on the PCI bus and, the ATU does not process any PCI bus transactions to this memory range.
-**  . The programmed value within the base address register must comply with the PCI programming requirements for address alignment.
-**  . When enabled, the ATU interrupts the Intel XScale core when the IABAR1 register is written from the PCI bus.
-**    Warning:
-**    When a non-zero value is not written to IALR1 prior to host configuration,
-**                          the user should not set either the Prefetchable Indicator or the Type Indicator for 64 bit addressability.
+**  . The programmed value within the base address register must comply with the PCI programming requirements for address alignment. 
+**  . When enabled, the ATU interrupts the Intel XScale core when the IABAR1 register is written from the PCI bus. 
+**    Warning: 
+**    When a non-zero value is not written to IALR1 prior to host configuration, 
+**                          the user should not set either the Prefetchable Indicator or the Type Indicator for 64 bit addressability. 
 **                          This is the default for IABAR1.
-**    Assuming a non-zero value is written to IALR1,
-**               			the user may set the Prefetchable Indicator
+**    Assuming a non-zero value is written to IALR1, 
+**               			the user may set the Prefetchable Indicator 
 **               			              or the Type         Indicator:
 **  						a. Since non prefetchable memory windows can never be placed above the 4 Gbyte address
-**  						   boundary, when the Prefetchable Indicator is not set prior to host configuration,
-**                             the user should also leave the Type Indicator set for 32 bit addressability.
+**  						   boundary, when the Prefetchable Indicator is not set prior to host configuration, 
+**                             the user should also leave the Type Indicator set for 32 bit addressability. 
 **                             This is the default for IABAR1.
-**  						b. when the Prefetchable Indicator is set prior to host configuration,
+**  						b. when the Prefetchable Indicator is set prior to host configuration, 
 **                             the user should also set the Type Indicator for 64 bit addressability.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
@@ -2530,8 +2701,8 @@ struct SENSE_DATA {
 **  02:01       00 2                        Type Indicator - Defines the width of the addressability for this memory window:
 **  			00 - Memory Window is locatable anywhere in 32 bit address space
 **  			10 - Memory Window is locatable anywhere in 64 bit address space
-**  00           0 2                        Memory Space Indicator - This bit field describes memory or I/O space base address.
-**                                                                   The ATU does not occupy I/O space,
+**  00           0 2                        Memory Space Indicator - This bit field describes memory or I/O space base address. 
+**                                                                   The ATU does not occupy I/O space, 
 **                                                                   thus this bit must be zero.
 ***********************************************************************************
 */
@@ -2540,20 +2711,20 @@ struct SENSE_DATA {
 ***********************************************************************************
 **  Inbound ATU Upper Base Address Register 1 - IAUBAR1
 **
-**  This register contains the upper base address when locating this window for PCI addresses beyond 4 GBytes.
-**  Together with the IABAR1 this register defines the actual location for this memory window for addresses > 4GBytes (for DACs).
+**  This register contains the upper base address when locating this window for PCI addresses beyond 4 GBytes. 
+**  Together with the IABAR1 this register defines the actual location for this memory window for addresses > 4GBytes (for DACs). 
 **  This window is used merely to allocate memory on the PCI bus and, the ATU does not process any PCI bus transactions to this memory range.
 **  The programmed value within the base address register must comply with the PCI programming
-**  requirements for address alignment.
+**  requirements for address alignment. 
 **  When enabled, the ATU interrupts the Intel XScale core when the IAUBAR1 register is written
-**  from the PCI bus.
-**  Note:
-**      When the Type indicator of IABAR1 is set to indicate 32 bit addressability,
-**      the IAUBAR1 register attributes are read-only.
+**  from the PCI bus. 
+**  Note: 
+**      When the Type indicator of IABAR1 is set to indicate 32 bit addressability, 
+**      the IAUBAR1 register attributes are read-only. 
 **      This is the default for IABAR1.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  31:0      00000H                        Translation Upper Base Address 1 - Together with the Translation Base Address 1
+**  31:0      00000H                        Translation Upper Base Address 1 - Together with the Translation Base Address 1 
 **						these bits define the actual location for this memory window on the PCI bus for addresses > 4GBytes.
 ***********************************************************************************
 */
@@ -2562,37 +2733,37 @@ struct SENSE_DATA {
 ***********************************************************************************
 **  Inbound ATU Base Address Register 2 - IABAR2
 **
-**  . The Inbound ATU Base Address Register 2 (IABAR2) together with the Inbound ATU Upper Base Address Register 2 (IAUBAR2)
-**           defines the block of memory addresses where the inbound translation window 2 begins.
-**  . The inbound ATU decodes and forwards the bus request to the 80331 internal bus with a translated address to map into 80331 local memory.
+**  . The Inbound ATU Base Address Register 2 (IABAR2) together with the Inbound ATU Upper Base Address Register 2 (IAUBAR2) 
+**           defines the block of memory addresses where the inbound translation window 2 begins. 
+**  . The inbound ATU decodes and forwards the bus request to the 80331 internal bus with a translated address to map into 80331 local memory. 
 **  . The IABAR2 and IAUBAR2 define the base address and describes the required memory block size
 **  . Bits 31 through 12 of the IABAR2 is either read/write bits or read only with a value of 0 depending on the value located within the IALR2.
-**    The programmed value within the base address register must comply with the PCI programming requirements for address alignment.
-**  Warning:
-**    When a non-zero value is not written to IALR2 prior to host configuration,
-**                          the user should not set either the Prefetchable Indicator
-**                                                      or the Type         Indicator for 64 bit addressability.
+**    The programmed value within the base address register must comply with the PCI programming requirements for address alignment. 
+**  Warning: 
+**    When a non-zero value is not written to IALR2 prior to host configuration, 
+**                          the user should not set either the Prefetchable Indicator 
+**                                                      or the Type         Indicator for 64 bit addressability. 
 **                          This is the default for IABAR2.
-**  Assuming a non-zero value is written to IALR2,
-**                          the user may set the Prefetchable Indicator
+**  Assuming a non-zero value is written to IALR2, 
+**                          the user may set the Prefetchable Indicator 
 **                                        or the Type         Indicator:
-**  						a. Since non prefetchable memory windows can never be placed above the 4 Gbyte address boundary,
-**                             when the Prefetchable Indicator is not set prior to host configuration,
-**                             the user should also leave the Type Indicator set for 32 bit addressability.
+**  						a. Since non prefetchable memory windows can never be placed above the 4 Gbyte address boundary, 
+**                             when the Prefetchable Indicator is not set prior to host configuration, 
+**                             the user should also leave the Type Indicator set for 32 bit addressability. 
 **                             This is the default for IABAR2.
-**  						b. when the Prefetchable Indicator is set prior to host configuration,
+**  						b. when the Prefetchable Indicator is set prior to host configuration, 
 **                             the user should also set the Type Indicator for 64 bit addressability.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  31:12     00000H                        Translation Base Address 2 - These bits define the actual location
+**  31:12     00000H                        Translation Base Address 2 - These bits define the actual location 
 **						the translation function is to respond to when addressed from the PCI bus.
 **  11:04        00H                        Reserved.
 **  03           0 2                        Prefetchable Indicator - When set, defines the memory space as prefetchable.
 **  02:01       00 2                        Type Indicator - Defines the width of the addressability for this memory window:
 **  			00 - Memory Window is locatable anywhere in 32 bit address space
 **  			10 - Memory Window is locatable anywhere in 64 bit address space
-**  00           0 2                        Memory Space Indicator - This bit field describes memory or I/O space base address.
-**                                                                   The ATU does not occupy I/O space,
+**  00           0 2                        Memory Space Indicator - This bit field describes memory or I/O space base address. 
+**                                                                   The ATU does not occupy I/O space, 
 **                                                                   thus this bit must be zero.
 ***********************************************************************************
 */
@@ -2602,18 +2773,18 @@ struct SENSE_DATA {
 **  Inbound ATU Upper Base Address Register 2 - IAUBAR2
 **
 **  This register contains the upper base address when decoding PCI addresses beyond 4 GBytes.
-**  Together with the Translation Base Address this register defines the actual location
+**  Together with the Translation Base Address this register defines the actual location 
 **  the translation function is to respond to when addressed from the PCI bus for addresses > 4GBytes (for DACs).
 **  The programmed value within the base address register must comply with the PCI programming
 **  requirements for address alignment.
-**  Note:
+**  Note: 
 **      When the Type indicator of IABAR2 is set to indicate 32 bit addressability,
-**      the IAUBAR2 register attributes are read-only.
+**      the IAUBAR2 register attributes are read-only. 
 **      This is the default for IABAR2.
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  31:0      00000H                        Translation Upper Base Address 2 - Together with the Translation Base Address 2
-**                                          these bits define the actual location the translation function is to respond to
+**  31:0      00000H                        Translation Upper Base Address 2 - Together with the Translation Base Address 2 
+**                                          these bits define the actual location the translation function is to respond to 
 **                                          when addressed from the PCI bus for addresses > 4GBytes.
 ***********************************************************************************
 */
@@ -2641,27 +2812,27 @@ struct SENSE_DATA {
 **  Expansion ROM Base Address Register -ERBAR
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  31:12     00000H                        Expansion ROM Base Address - These bits define the actual location
+**  31:12     00000H                        Expansion ROM Base Address - These bits define the actual location 
 **						where the Expansion ROM address window resides when addressed from the PCI bus on any 4 Kbyte boundary.
 **  11:01     000H                          Reserved
-**  00        0 2                           Address Decode Enable - This bit field shows the ROM address
+**  00        0 2                           Address Decode Enable - This bit field shows the ROM address 
 **						decoder is enabled or disabled. When cleared, indicates the address decoder is disabled.
 ***********************************************************************************
 */
 #define     ARCMSR_EXPANSION_ROM_BASE_ADDRESS_REG		         0x30    /*dword 0x33,0x32,0v31,0x30*/
-#define     ARCMSR_EXPANSION_ROM_ADDRESS_DECODE_ENABLE   		     0x01
+#define     ARCMSR_EXPANSION_ROM_ADDRESS_DECODE_ENABLE   		     0x01    
 /*
 ***********************************************************************************
 **  ATU Capabilities Pointer Register - ATU_CAP_PTR
 **  -----------------------------------------------------------------
 **  Bit Default Description
-**  07:00     C0H                           Capability List Pointer - This provides an offset in this function¡¦s configuration space
+**  07:00     C0H                           Capability List Pointer - This provides an offset in this function¡¦s configuration space 
 **						that points to the 80331 PCl Bus Power Management extended capability.
 ***********************************************************************************
 */
 #define     ARCMSR_ATU_CAPABILITY_PTR_REG		     0x34    /*byte*/
 /*
-***********************************************************************************
+***********************************************************************************  
 **  Determining Block Sizes for Base Address Registers
 **  The required address size and type can be determined by writing ones to a base address register and
 **  reading from the registers. By scanning the returned value from the least-significant bit of the base
@@ -2711,7 +2882,7 @@ struct SENSE_DATA {
 **  FFFC0000H 256K
 **  FFF80000H 512K
 **
-***************************************************************************************
+***************************************************************************************  
 */
 
 
@@ -2722,7 +2893,7 @@ struct SENSE_DATA {
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
 **  07:00       FFH                         Interrupt Assigned - system-assigned value identifies which system interrupt controller¡¦s interrupt
-**                                                               request line connects to the device's PCI interrupt request lines
+**                                                               request line connects to the device's PCI interrupt request lines 
 **								(as specified in the interrupt pin register).
 **                                                               A value of FFH signifies ¡§no connection¡¨ or ¡§unknown¡¨.
 ***********************************************************************************
@@ -2751,7 +2922,7 @@ struct SENSE_DATA {
 **  ATU Maximum Latency Register - ATUMLAT
 **  -----------------------------------------------------------------
 **  Bit       Default                       Description
-**  07:00       00H                         Specifies frequency (how often) the device needs to access the PCI bus
+**  07:00       00H                         Specifies frequency (how often) the device needs to access the PCI bus 
 **						in increments of 8 PCI clocks. A zero value indicates the device has no stringent requirement.
 ***********************************************************************************
 */
@@ -2759,9 +2930,9 @@ struct SENSE_DATA {
 /*
 ***********************************************************************************
 **  Inbound Address Translation
-**
-**  The ATU allows external PCI bus initiators to directly access the internal bus.
-**  These PCI bus initiators can read or write 80331 memory-mapped registers or 80331 local memory space.
+**  
+**  The ATU allows external PCI bus initiators to directly access the internal bus. 
+**  These PCI bus initiators can read or write 80331 memory-mapped registers or 80331 local memory space. 
 **  The process of inbound address translation involves two steps:
 **  1. Address Detection.
 **             ¡E Determine when the 32-bit PCI address (64-bit PCI address during DACs) is
